Subject: bug#36443: Canonicalized build directory name in container leads to confusion (was guix build mixes build dirs?)

From: Mark H Weaver <[email-masked]>
Date: Tue, 02 Jul 2019 23:48:18 -0400

Hi Ludovic,

Ludovic Courtès <[email-masked]> wrote:
> The result would be that the temporary directory would always have a
> different name inside and outside the container.  Consequently,
> debugging along the lines of what the manual suggests (info "(guix)
> Debugging Build Failures") would become pretty much impossible.

It's a good point, but I think "pretty much impossible" is an
exaggeration, because you can simply rename the failed build directory
from /tmp/guix-build-*.drv-0 to /tmp/guix-build-*.drv before debugging.

However, it's true that this would be a slightly annoying extra step
that is currently not required in the common case.

> Thus, I'm in favor of the status quo.

I don't feel strongly either way.  At first it seemed like a clear
improvement, but now I'm unsure.

     Thanks,
       Mark